// .env file
const config = require('dotenv').config()

// logging
const fastify = require('fastify')({
    logger: true
})

// path for public 
const path = require('path')

// adding files and plugins
fastify
    .register(require('./http/web.js'))
    .register(require('./api/state.js'), { 'prefix': '/api' })
    .register(require('fastify-static'), {
        root: path.join(__dirname, '../public'),
        prefix: '/public/'
    })

// let it rain
const start = async () => {
    try {
        await fastify.listen(process.env.PORT)
        fastify.log.info(`server listening on ${fastify.server.address().port}`)
    } catch (err) {
        fastify.log.error(err)
        process.exit(1)
    }
}

start()